# Article

## Content

* [Endpoints](#endpoints)
* [ExtraData - zie Idea](https://github.com/Amsterdam/openstad-docs/blob/master/doc/idea/README.md#extradata)

Article is a basic rest object that allows for creating blogs or news pages. It's currently mostly used by the moderators, but could also be used by "normal" users. It's very similar to the Idea model, but arguments and votes are not implemented for articles.

## Endpoints

`GET /api/site/:SITE_ID/article/`\
list all articles

`POST /api/site/:SITE_ID/article/`\
create an article

`GET /api/site/:SITE_ID/article/:ARTICLE_ID`\
view one article

`PUT /api/site/:SITE_ID/article/:ARTICLE_ID`\
update one article

`DELETE /api/site/:SITE_ID/article/:ARTICLE_ID`\
delete one article

GET requests are public, POST only available for moderators and owners

Following GET parameters are available:

`includePosterImage` `includeUser`

## extraData

ExtraData is similar to ideas:- [read more](https://github.com/Amsterdam/openstad-docs/blob/master/technical/api/idea/README.md#extradata)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openstad.org/openstad/technical/api/resource-article.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
